#include <bits/stdc++.h>

int brcf(long long n)
{
    int i = 0;
    while (n != 0) {
        n = n / 10;
        ++i;
    }
    return i;
}





using namespace std;

int main()
{

  long long  n;
  long long i;
  cin >> n;
 int  x = brcf(n);
 int br = 0;


  int a[x];
  for(i = 0;i <= x;i++){

   a[i] = n % 10;
   n /= 10;




  }






    for(i = x - 1;i >= 0;i--){

        if(a[i] >= 5){
            br += a[i] / 5;
            a[i] %= 5;}

         if(a[i] >= 2){
            br += a[i] / 2;
            a[i] %= 2;}

         if(a[i] >= 1){
            br += a[i] / 1;
            a[i] %= 1;
         }



    }

    cout << br;















    return 0;
}